Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class MathConverter

    java.lang.Object
      writer2latex.xhtml.ConverterHelper
          writer2latex.xhtml.MathConverter

    public class MathConverter

extends ConverterHelper

Field Summary
`private boolean` | `bSupportMathML`

Fields inherited from class writer2latex.xhtml.ConverterHelper
`config, converter, ofr`

Constructor Summary
`MathConverter(OfficeReader ofr, Config config, Converter converter, boolean bSupportMathML)`

Method Summary
`void` | `convert(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`void` | `convertNode(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `convertNodeList(org.w3c.dom.NodeList list, org.w3c.dom.Node hnode)`
`private java.lang.String` | `replacePrivateChar(char c)`
`private java.lang.String` | `replacePrivateChars(java.lang.String s)`
`private java.lang.String` | `stripNamespace(java.lang.String s)`

Methods inherited from class writer2latex.xhtml.ConverterHelper
`applyStyle, getCellSc, getDrawCv, getFrameSc, getListSc, getMathCv, getPageSc, getParSc, getPresentationSc, getRowSc, getSectionSc, getStyleCv, getTableCv, getTableSc, getTextCv, getTextSc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bSupportMathML

    private boolean bSupportMathML

Constructor Detail

### MathConverter

    public MathConverter(OfficeReader ofr,
                         Config config,
                         Converter converter,
                         boolean bSupportMathML)

Method Detail

### convert

    public void convert(org.w3c.dom.Node onode,
                        org.w3c.dom.Node hnode)

### convertNode

    public void convertNode(org.w3c.dom.Node onode,
                            org.w3c.dom.Node hnode)

### convertNodeList

    private void convertNodeList(org.w3c.dom.NodeList list,
                                 org.w3c.dom.Node hnode)

### stripNamespace

    private java.lang.String stripNamespace(java.lang.String s)

### replacePrivateChars

    private java.lang.String replacePrivateChars(java.lang.String s)

### replacePrivateChar

    private java.lang.String replacePrivateChar(char c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD